Medi-Cal

Do you need affordable health coverage? Medi-Cal provides affordable health, dental* and vision** coverage to qualified low-income California residents.

Who is Covered

Medi-Cal offers coverage to qualifying low-income families with children, seniors (age 65 and older), and people with disabilities. 

new Effective Jan. 1, 2014, Medi-Cal now also offers coverage to more adults. As part of the federal health care law, the Patient Protection and Affordable Care Act (Affordable Care Act), Medi-Cal now extends healthcare coverage to the following qualifying low-income adults:

  • Adults (under age 65) who have no children, or have children over age 21
  • Parents of children who were previously denied for Medi-Cal for having too many assets (like a boat or truck)
  • Former foster youth who are 21 or older

What you get with Medi-Cal

Under no-cost Medi-Cal you receive:

  • Doctor services
  • Inpatient/Outpatient Hospital services
  • Prescription drugs
  • Behavioral/Mental health
  • Durable Medical Equipment
  • Clinic services
  • Long term services and supports
  • Medical case management visits
  • Dental services* 
  • Vision care services** 

*Children under 21 are currently eligible for dental coverage under Medi-Cal; Adults will be eligible starting May 2014.
**Children under 21 are eligible for an exam and glasses; Adults are eligible for an exam only.

How to apply for Medi-Cal

There are three ways to apply:

  • Visit coveredca.com
  • Visit c4yourself.com
  • With an eligibility worker at a county clinic or your local Department of Public Social Services (DPSS)

To find out if you're eligible for Medi-Cal, call the IEHP Enrollment Assistance Unit at 1-888-860-1298. Hours are 8am-6pm Monday-Thursday and 8am-5pm on Friday. TTY users should call 1-800-720-4347. 

More information on Medi-Cal

Visit the following links for more information:

IEHP Medi-Cal Members

If you're already a Medi-Cal Member through IEHP, download the Medi-Cal Member Handbook. Your Handbook will explain covered benefits like how to find a Doctor, how to get care, and more.

You will need Adobe Acrobat Reader 6.0 or later to view the PDF files. Download Adobe Acrobat Reader.